test_module/test_bool: True
test_module/test_float: 3.2

############################
### Drone Manager params ###
############################

#Rate at which heartbeat/GetBattery service is invoked
drone_manager/hb_rate_s: 1

#Threshold below which an abort is triggered in any flight state
drone_manager/battery_abort_threshold: 20

#Threshold to attempt pickup when at Wait at Pickup
drone_manager/battery_pickup_threshold: 80

#Threshold to attempt drop off when at Wait at Drop Off
drone_manager/battery_drop_off_threshold: 40

#Threshold below which a docked drone is not considered to execute a new job
drone_manager/battery_job_ready_threshold: 99

#Threshold below which a drone at Wait at Dock will land instead of returning to Wait at Dropoff to re-attempt a previously aborted transaction
drone_manager/battery_post_charge_drop_off_threshold: 80

#Threshold below which a drone at Wait at Dock will land instead of returning to Wait at Pickup to re-attempt a previously aborted transaction
drone_manager/battery_post_charge_pickup_threshold: 90

#Enables return to dock on transaction failure, instead of aborting flight
drone_manager/attempt_recharge: True

#Max time before which drone manager raises timeout to fleet manager.
drone_manager/max_comm_timeout_s: 10

#Omit first path point on state transition request messages to drone
drone_manager/omit_first_path_point: True

#Flag to enable re-routing. Not currently implemented
drone_manager/on_obstacle_reroute: False

#Flag to enable reversing path if an obstacle is encountered
drone_manager/on_obstacle_reverse_path: True

#Flag to enable emergency landing if an obstacle is encountered when en route to dock
drone_manager/on_obstacle_land_enroute_to_dock: True

############################
### Fleet Manager params ###
############################

#Issue GROUND command to all drones if one drone has watchdog timeout
fleet_manager/ground_all_on_timeout: True

#Drones to control
fleet_manager/drone_ids: ["FlightPro1s","FlightPro2s"]

#Period in s to update GUI with drone positions
fleet_manager/position_update_period_s: 0.02

############################
###      ATC params      ###
############################

#I don't remember specifically what this does. Looks deprecated.
#atc/loc_comparison_error_thresh: 1

#DB name of the environment. Will choose latest created with that name
atc/env_name: "CreareLabTest6"

#Used to check for potential collisions between paths. Units are meters
atc/min_path_dist: 0.2

#Timeout when listening for drone positions via vicon
atc/vicon_timeout: 1

#Used to map a drone position to presence in a dock. Units are meters
atc/loc_to_dock_distance_tolerance: 1


